%global		debug_package	%{nil}

Name:		spamassassin-ClamAV
Version:	2.0
Release:	3.ndias%{?dist}
Summary:	ClamAV Plugin to spamassassin

Group:		Applications/Internet
License:	ASL 2.0
URL:		https://wiki.apache.org/spamassassin/ClamAVPlugin
Source0:	%{name}-%{version}.tar.xz
BuildArch:	noarch

Requires:	spamassassin

%description
This plugin submits the entire email to a locally running Clam AntiVirus server
for virus detection. If a virus is found, it returns a positive return code to
indicate spam and sets the header "X-Spam-Virus: Yes ($virusname)". 

%prep
%setup -q


%build


%install
mkdir -p %{buildroot}/etc/mail/spamassassin
mkdir -p %{buildroot}/usr/share/perl5/vendor_perl/Mail/SpamAssassin/Plugin
cp -f clamav.cf %{buildroot}/etc/mail/spamassassin
cp -f ClamAV.pm %{buildroot}/usr/share/perl5/vendor_perl/Mail/SpamAssassin/Plugin

%files
%doc

%{_sysconfdir}/mail/spamassassin/clamav.cf
%{_datadir}/perl5/vendor_perl/Mail/SpamAssassin/Plugin/ClamAV.pm


%changelog
* Fri Nov 4 2016 Nuno Dias <Nuno.Dias@gmail.com> - 2.0-3.ndias
- Patch to work in plugin directory

* Fri Sep 30 2016 Nuno Dias <Nuno.Dias@gmail.com> - 2.0-1.ndias
- Version 2.0
